System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

By default, every control on a page is associated with a default class. During parsing, the ASP.NET page framework builds a tree of objects corresponding to the tree of controls for the page. The tree is then used to generate page code to create the control tree. In addition to child controls, the defines the behavior of how the content within control tags is parsed. You can override this default behavior by defining your own custom control builder class. This is done by applying a attribute to your control builder class as follows:

[ControlBuilderAttribute(typeof(ControlBuilderType))]

Supports the page parser in building a control and the child controls it contains.

- Constructor

  Use this constructor to create a new instance the class.

  This constructor is generally used by ASP.NET when parsing the page and creating the control hierarchy. It is not intended for use in your code.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The method is used to determine whether white space literals are permitted in the content between the opening and closing tags of a control. When this method returns false, the white space literals are trimmed from the content before the content is processed by the page parser. When this method returns true, the white space literals not removed.

  This method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Determines whether white space literals are permitted in the content between a control's opening and closing tags. This method is called by the ASP.NET page framework.

  Always returns true.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Override the method to control how literal content between the control's opening and closing tags is processed. Literal content can be any text that is passed by the browser to the server control. For example, any HTML elements and text, between their opening and closing tags, are literal content.

  Adds the specified literal content to a control. This method is called by the ASP.NET page framework.

  The content to add to the control. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Adds builders to the object for any child controls that belong to the container control.

  The object assigned to the child control. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Type To be added. To be added.

  Gets the type of the binding container for the control that this builder creates.

- Method
  2.0.0.0
  System.Object To be added.

  Builds a design-time instance of the control that is referred to by this object.

  The resulting built control.

- Method
  System.Void

  The method is used by the parser to indicate to the builder that it has finished parsing the control.

  Called by the parser to inform the builder that the parsing of the control's opening and closing tags is complete.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the for the control to be created.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.ControlBuilder `` `` `` `` `` `` `` `` To be added

  Creates a object from the specified tag name and object type, as well as other parameters defining the builder.

  The builder that is responsible for creating the control.

  The object responsible for parsing the control. The object responsible for building the parent control. The of the object that the builder will create. The name of the tag to be built. This allows the builder to support multiple tag types. The attribute assigned to the control. The object that holds all the specified tag attributes. The source file line number for the specified control. The name of the source file from which the control is to be created. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that determines whether the control has a with set to true.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that determines whether the control implements the interface.

  1.0.5000.0
  2.0.0.0
- Method
  System.Type `` ``

  This method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Obtains the of the control type corresponding to a child tag. This method is called by the ASP.NET page framework.

  The of the specified control's child.

  The tag name of the child. An array of attributes contained in the child control. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the control contains any code blocks.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  This method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Determines if a control has both an opening and closing tag. This method is called by the ASP.NET page framework.

  true if the control has an opening and closing tag; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  A literal string refers to the text between the opening and closing tag of an HTML control. HTML encoding is when text is converted into a string representation that the browser will display rather than interpret as HTML. Characters such as the question mark (?), ampersand (&), slash mark (/), and spaces might be truncated or corrupted by some browsers, so those characters must be encoded when they appear in a tags or in query strings.

  The method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Determines whether the literal string of an HTML control must be HTML decoded. This method is called by the ASP.NET page framework.

  true if the HTML control literal string is to be decoded; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the identifier property for the control to be built.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Returns whether the is running in the designer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` `` `` ``

  This method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Initializes the for use after it is instantiated. This method is called by the ASP.NET page framework.

  The object responsible for parsing the control. The object responsible for building the parent control. The assigned to the control that the builder will create. The name of the tag to be built. This allows the builder to support multiple tag types. The attribute assigned to the control. The object that holds all the specified tag attributes. 1.0.5000.0 2.0.0.0
- Property
  System.Type To be added: an object of type 'Type' To be added

  Gets the type of the naming container for the control that this builder creates.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  The inner text is the text between the opening and closing tags of the control.

  This method is called by the ASP.NET page framework during parsing and is not intended to be called directly in you code.

  Determines if the control builder needs to get its inner text. If so, the method must be called. This method is called by the ASP.NET page framework.

  true if the control builder needs to get its inner text. The default is false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Notifies the that it is being added to a parent control builder.

  The object to which the current builder is added. 1.0.5000.0 2.0.0.0
- Property
  System.Web.UI.TemplateParser To be added: an object of type 'TemplateParser'

  This property retrieves the responsible for parsing the control.

  Gets the responsible for parsing the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called only if previously returned true.

  Provides the with the inner text of the control tag.

  The text to be provided. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the tag name for the control to be built.

  1.0.5000.0
  2.0.0.0